pub mod clock;
pub mod difficulty;
pub mod flashing_message;
pub mod map;
pub mod sound_effects;
pub mod sound_output;
pub mod stats;

use bracket_lib::prelude::*;
pub use clock::{Clock, StopClock};
pub use difficulty::Difficulty;
pub use flashing_message::FlashingMessage;
pub use map::Map;
pub use sound_effects::SoundEffects;
pub use sound_output::SoundOutput;
pub use stats::Stats;

pub struct Resources {
    pub level_number: u32,
    pub show_debug_info: bool,
    pub player_input: Option<VirtualKeyCode>,
    pub stats: Stats,
    pub clock: Clock,
    pub stop_clock: bool,
    pub map: Map,
    pub selected_difficulty: Option<Difficulty>,
    pub sound_effects: Option<SoundEffects>,
    pub sound_output: Option<SoundOutput>,
    pub flashing_message: Option<FlashingMessage>,
    pub should_advance_level: bool,
}
